Package com.macrofocus.high_d.parallelcoordinates

# Class DefaultParallelCoordinatesModel<Color,Row,C>

java.lang.Object
com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesModel<Color,Row,C>
com.macrofocus.high_d.parallelcoordinates.DefaultParallelCoordinatesModel<Color,Row,C>

All Implemented Interfaces:
  `ParallelCoordinatesModel<Color,Row,C>`, `com.macrofocus.visual.VisualObjects<Row>`

public class DefaultParallelCoordinatesModel<Color,Row,C> extends AbstractParallelCoordinatesModel<Color,Row,C>
Default implementation of a ParallelCoordinatesModel. This class provides an easy way to integration with Swing's TableModel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultParallelCoordinatesModel(com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame)`
  `DefaultParallelCoordinatesModel(com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual)`
  `DefaultParallelCoordinatesModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,C> axisHierarchy, ParallelCoordinatesSettings settings)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,C>`
  `getAxisHierarchy()`
  `com.macrofocus.high_d.axis.locations.AxisLocations`
  `getAxisLocations(com.macrofocus.high_d.axis.group.AxisGroupModel group)`
  `com.macrofocus.coloring.MutableColoring<Color,Row>`
  `getColoring()`
  Gets model holding the colors of each object.
  `com.macrofocus.colormapping.MutableColorMapping<Color,Row,C>`
  `getColorMapping()`
  Gets model holding the color mapping of each object.
  `MutableFilter<Row>`
  `getFilter()`
  Obtains the model used for filtering objects in the parallel coordinates.
  `Row`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  Returns the number of data objects (typically rows).
  `MutableSingleSelection<Row>`
  `getProbing()`
  Obtains the model used for probing objects in the parallel coordinates (aka mouse over).
  `Iterable<com.macrofocus.high_d.axis.AxisModel>`
  `getSelectedAxis()`
  Returns the list of currently selected axis.
  `MutableSelection<Row>`
  `getSelection()`
  Obtains the model used for selecting objects in the parallel coordinates.
  `ParallelCoordinatesSettings`
  `getSettings()`
  Gets the currently selected settings.
  `com.macrofocus.visual.Visual<Color,Row,C>`
  `getVisual()`
  `boolean`
  `isHidden(com.macrofocus.high_d.axis.AxisModel axisModel)`
  Indicates whether an axis is visible or not.
  `void`
  `makeCommonRange(Iterable<com.macrofocus.high_d.axis.AxisModel<Row,C>> axisModels)`
  `void`
  `makeDataRange(Iterable<com.macrofocus.high_d.axis.AxisModel<Row,C>> axisModels)`
  `void`
  `resetRanges(Iterable<com.macrofocus.high_d.axis.AxisModel<Row,C>> axisModels)`
  `void`
  `setDataFrame(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame)`
  `void`
  `setHidden(com.macrofocus.high_d.axis.AxisModel axisModel, boolean hidden)`
  Turns on or off the visibility of an axis.
  `void`
  `showAllNumerical()`
  `void`
  `unhideAllAxis()`
  Make all the axis visible.

  ### Methods inherited from class com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesModel

  `addParallelCoordinatesListener, removeParallelCoordinateListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultParallelCoordinatesModel

    public DefaultParallelCoordinatesModel(com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame)

  - ### DefaultParallelCoordinatesModel

    public DefaultParallelCoordinatesModel(com.macrofocus.crossplatform.CPFactory factory, com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual)

  - ### DefaultParallelCoordinatesModel

    public DefaultParallelCoordinatesModel(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame, com.macrofocus.visual.Visual<Color,Row,C> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,C> axisHierarchy, ParallelCoordinatesSettings settings)

- ## Method Details

  - ### setDataFrame

    public void setDataFrame(com.macrofocus.molap.dataframe.DataFrame<Row,C,?> dataFrame)

  - ### getObjectCount

    public int getObjectCount()
    Returns the number of data objects (typically rows).
    Returns:
      the number of data objects

  - ### getVisual

    public com.macrofocus.visual.Visual<Color,Row,C> getVisual()

  - ### getProbing

    public MutableSingleSelection<Row> getProbing()
    Obtains the model used for probing objects in the parallel coordinates (aka mouse over).
    Returns:
      the model used for probing.

  - ### getSelection

    public MutableSelection<Row> getSelection()
    Obtains the model used for selecting objects in the parallel coordinates.
    Returns:
      the model used for selection.

  - ### getFilter

    public MutableFilter<Row> getFilter()
    Obtains the model used for filtering objects in the parallel coordinates.
    Returns:
      the model used for filtering.

  - ### getColorMapping

    public com.macrofocus.colormapping.MutableColorMapping<Color,Row,C> getColorMapping()
    Gets model holding the color mapping of each object.
    Returns:
      the model holding the color of each object.

  - ### getColoring

    public com.macrofocus.coloring.MutableColoring<Color,Row> getColoring()
    Gets model holding the colors of each object.
    Returns:
      the model holding the color of each object.

  - ### getObject

    public Row getObject(int index)
    Parameters:
      `index` -
    Returns:

  - ### getSettings

    public ParallelCoordinatesSettings getSettings()
    Gets the currently selected settings.
    Returns:
      the settings.

  - ### getAxisHierarchy

    public com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,C> getAxisHierarchy()

  - ### getSelectedAxis

    public Iterable<com.macrofocus.high_d.axis.AxisModel> getSelectedAxis()
    Returns the list of currently selected axis.
    Returns:
      the axis that are currently selected

  - ### isHidden

    public boolean isHidden(com.macrofocus.high_d.axis.AxisModel axisModel)
    Indicates whether an axis is visible or not.
    Parameters:
      `axisModel` - the axis
    Returns:
      false if it is visible; true otherwise

  - ### setHidden

    public void setHidden(com.macrofocus.high_d.axis.AxisModel axisModel, boolean hidden)
    Turns on or off the visibility of an axis.
    Parameters:
      `axisModel` - the axis
      `hidden` - false if it should be visible; true otherwise

  - ### unhideAllAxis

    public void unhideAllAxis()
    Make all the axis visible.

  - ### getAxisLocations

    public com.macrofocus.high_d.axis.locations.AxisLocations getAxisLocations(com.macrofocus.high_d.axis.group.AxisGroupModel group)

  - ### showAllNumerical

    public void showAllNumerical()

  - ### makeDataRange

    public void makeDataRange(Iterable<com.macrofocus.high_d.axis.AxisModel<Row,C>> axisModels)

  - ### makeCommonRange

    public void makeCommonRange(Iterable<com.macrofocus.high_d.axis.AxisModel<Row,C>> axisModels)

  - ### resetRanges

    public void resetRanges(Iterable<com.macrofocus.high_d.axis.AxisModel<Row,C>> axisModels)